Bug 17386 - Add opac notes for patron to self checkout screen
Summary: Add opac notes for patron to self checkout screen
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-30 19:28 UTC by Marc Véron
Modified: 2017-06-14 22:15 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17386: Add opac notes for patron to self checkout screen (5.20 KB, patch)
2016-09-30 19:39 UTC, Marc Véron
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 17386: Add opac notes for patron to self checkout screen (5.29 KB, patch)
2016-10-03 19:55 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 17386: Add opac notes for patron to self checkout screen (5.35 KB, patch)
2016-10-04 12:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17386: Simplify code (5.51 KB, patch)
2016-10-04 12:58 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2016-09-30 19:28:09 UTC
Display patron messages from OPAC summary page on SCO screen as well.
Comment 1 Marc Véron 2016-09-30 19:39:28 UTC
Created attachment 55963 [details] [review]
Bug 17386: Add opac notes for patron to self checkout screen

Display patron messages from OPAC summary page on SCO screen as well.

To test:
- Make sure you have patrons with and without OPAC note and OPAC messages
- Log in to OPAC and go to patrons 'your summary' page to display note
  and messages
- Apply patch
- Refresh patrons detail page. Verify that it looks the same as before
- Go to SCO
- Log in as such patron
- Verify that note and messages appear the same as on OPAC summary page
Comment 2 Héctor Eduardo Castro Avalos 2016-10-03 19:55:23 UTC
Created attachment 55987 [details] [review]
[SIGNED-OFF]Bug 17386: Add opac notes for patron to self checkout screen

Display patron messages from OPAC summary page on SCO screen as well.

To test:
- Make sure you have patrons with and without OPAC note and OPAC messages
- Log in to OPAC and go to patrons 'your summary' page to display note
  and messages
- Apply patch
- Refresh patrons detail page. Verify that it looks the same as before
- Go to SCO
- Log in as such patron
- Verify that note and messages appear the same as on OPAC summary page

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised
Comment 3 Jonathan Druart 2016-10-04 12:58:40 UTC
Created attachment 56029 [details] [review]
Bug 17386: Add opac notes for patron to self checkout screen

Display patron messages from OPAC summary page on SCO screen as well.

To test:
- Make sure you have patrons with and without OPAC note and OPAC messages
- Log in to OPAC and go to patrons 'your summary' page to display note
  and messages
- Apply patch
- Refresh patrons detail page. Verify that it looks the same as before
- Go to SCO
- Log in as such patron
- Verify that note and messages appear the same as on OPAC summary page

Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>
Works as advertised

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2016-10-04 12:58:44 UTC
Created attachment 56030 [details] [review]
Bug 17386: Simplify code

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Brendan Gallagher 2016-10-10 14:09:10 UTC
Pushed to Master - Should be in the November 16.11 release.  Thanks!